Subject: Re: bug#36539: elec-pair.elc gets surreptitiously loaded (almost) unconditionally at start up.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 07 Jul 2019 21:45:28 +0300

> Date: Sun, 7 Jul 2019 18:29:41 +0000
> From: Alan Mackenzie <[email-masked]>
> Cc: [email-masked]
> 
> Just as a matter of interest, I commented out the pertinent form in
> emacs-lisp-mode, did a make bootstrap, emacs -Q, and elec-pair.elc was
> still present in my Emacs.  :-(

I cannot reproduce this.  After applying Noam's patch and just saying
"make", "emacs -Q" doesn't load elec-pair anymore, which I verified
both by calling featurep and by running under GDB with a breakpoint in
Fload.